Bug 21189 - megaraid driver <=v1.12 can't handle >4GB RAM
Summary: megaraid driver <=v1.12 can't handle >4GB RAM
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-21 17:00 UTC by Matt Domsch
Modified: 2007-04-18 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-08 20:14:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2000-11-21 17:00:56 UTC
The megaraid driver v1.12 and before cannot handle more than 4GB of RAM.  
v1.12 was supposed to solve this, but is using virtual addresses instead 
of physical addresses for DMA transfers.

PeterJ@ami.com is working to address this issue.

Comment 1 Matt Domsch 2000-12-08 20:14:13 UTC
Megaraid driver 1.13beta is included in the IA-64 build 12/07/00, and supports 
64-bit DMA addresses fully.  Closing.


Note You need to log in before you can comment on or make changes to this bug.